Failed to build linux-image-2.6.33.rc1

Bug #498747 reported by Lawrence Rust on 2009-12-20
44
This bug affects 9 people
Affects Status Importance Assigned to Milestone
kernel-package (Debian)
Fix Released
Unknown
kernel-package (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by John McT

Bug Description

Binary package hint: kernel-package

Building a linux 2.6.33-rc1 image using kernel-package 11.001 (from Kubuntu 8.04 LTS) fails with the message:

The UTS Release version in include/linux/version.h
     ""
does not match current version:
     "2.6.33-rc1"
Please correct this.

Builds of all previous kernels work fine. The problem can be fixed by first creating the debian directory with

make-kpkg debian

and then patching debian/ruleset/misc/version_vars.mk line 141 :

UTS_RELEASE_HEADER=$(call doit,if [ -f include/linux/utsrelease.h ]; then \
                               echo include/linux/utsrelease.h; \
                           else \
                                echo include/linux/version.h ; \

to:

UTS_RELEASE_HEADER=$(call doit,if [ -f include/generated/utsrelease.h ]; then \
                              echo include/generated/utsrelease.h; \
                           elif [ -f include/linux/utsrelease.h ]; then \
                               echo include/linux/utsrelease.h; \
                           else \
                                echo include/linux/version.h ; \

Signed-off by: Lawrence Rust, <email address hidden>

Changed in kernel-package (Debian):
status: Unknown → New
Matteo Croce (teknoraver) wrote :

yes, I noticed it too, so I made this very similar patch

Taki (wakoond) wrote :

I noticed it too, with 2.6.33-rc3

(ubuntu 9.10)

Still happens with 2.6.33-rc4, on 9.10.

Andrius Štikonas (stikonas) wrote :

This is fixed in kernel-package 12.032 which can be found in Debian squeeze (testing). Maybe somebody can sync this package from Debian.

I subscribed ubuntu-main-sponsors as described at: <https://wiki.ubuntu.com/SyncRequestProcess>. Sorry if this is incorrect.

Changed in kernel-package (Debian):
status: New → Fix Released

Sync request here: bug #512000

Download full text (6.8 KiB)

kernel-package 12.032 from Debian Testing fix this issue in Ubuntu, I built succesfully kernel-zen 2.6.33-rc5 right now:

====== making target debian/stamp/binary/pre-linux-image-2.6.33-rc5-zen1 [new prereqs: linux-image-2.6.33-rc5-zen1]======

This is kernel package version 12.032.
/usr/bin/make -f ./debian/rules debian/stamp/binary/linux-image-2.6.33-rc5-zen1
make[2]: Entering directory `/usr/src/zen'
====== making target debian/stamp/binary/linux-image-2.6.33-rc5-zen1 [new prereqs: ]======

This is kernel package version 12.032.
install -p -d -o root -g root -m 755 /usr/src/zen/debian/linux-image-2.6.33-rc5-zen1/DEBIAN
sed -e 's/=V/2.6.33-rc5-zen1/g' -e 's/=IB//g' \
            -e 's/=ST/linux/g' -e 's/=R//g' \
            -e 's/=KPV/12.032/g' \
            -e 's/=K/vmlinuz/g' \
            -e 's/=I/YES/g' -e 's,=D,/boot,g' \
            -e 's@=A@amd64@g' \
            -e 's@=B@x86_64@g' \
          ./debian/pkg/image/postinst > /usr/src/zen/debian/linux-image-2.6.33-rc5-zen1/DEBIAN/postinst
chmod 755 /usr/src/zen/debian/linux-image-2.6.33-rc5-zen1/DEBIAN/postinst
sed -e 's/=V/2.6.33-rc5-zen1/g' -e 's/=IB//g' \
            -e 's/=ST/linux/g' -e 's/=R//g' \
            -e 's/=KPV/12.032/g' \
            -e 's/=K/vmlinuz/g' \
            -e 's/=I/YES/g' -e 's,=D,/boot,g' \
            -e 's@=A@amd64@g' \
            -e 's@=B@x86_64@g' \
         ./debian/pkg/image/config > /usr/src/zen/debian/linux-image-2.6.33-rc5-zen1/DEBIAN/config
chmod 755 /usr/src/zen/debian/linux-image-2.6.33-rc5-zen1/DEBIAN/config
sed -e 's/=V/2.6.33-rc5-zen1/g' -e 's/=IB//g' \
            -e 's/=ST/linux/g' -e 's/=R//g' \
            -e 's/=KPV/12.032/g' \
            -e 's/=K/vmlinuz/g' \
            -e 's/=I/YES/g' -e 's,=D,/boot,g' \
            -e 's/=MD//g' \
            -e 's@=MK@@g' -e 's@=A@amd64@g' \ ...

Read more...

dimas000 (asdfghjlk) wrote :

yes, got the same problem today with 33-rc5 (from kernel.org) on ubuntu 9.10. on debian squeeze i've built the same kernel succesfully, but on ubuntu got exactly the same error:

The UTS Release version in include/linux/version.h
     ""
does not match current version:
     "2.6.33-rc5-src"
Please correct this

i haven't touch Makefile, but used --append-to-version. tried 5 or 6 times with different version names... machine is tired of compiling today))) will try tomorrow with package from debian, hope if will work (ubuntu is x32, but debian is x64, so i can't just take the same .deb) :(

Changed in kernel-package (Ubuntu):
status: New → Fix Committed
Changed in kernel-package (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.